# Class: oXml

## $. oXml

The $.oXml class can be used to create an object from a xml string. It will contain a "children" property which is an array that holds all the children node from the main document.

#### new $.oXml(xmlString, objectName)

openHarmony/openHarmony_file.js, line 808
  The constructor for the $.oXml class.

  Name | Type | Description
  --- | --- | ---
  `xmlString` | string | the string to parse for xml content
  `objectName` | string | "xmlDocument" for the top node, otherwise, the string description of the xml node (ex: <objectName> <property = "value"/> </objectName>)

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `objectName` | string |
  `children` | Array.<$.oXml> |